DedicatedServer

Dedicated server (bare metal or VM) requests

Get all your dedicated servers (can be bare metal servers or VMs) and their main details

get
Authorizations
PRIVATE-TOKENstringRequired
Query parameters
labelsstringOptional

Label expressions can be used to apply more specific search parameters and can be written in standard SQL query language. E.g. region_id=123 or multiple filters: region_id=123 and fleet_id=456 or host_id=46256 The provided filter query needs to be url encoded. E.g. region_id%3D123 or multiple filters: region_id%3D123%20and%20fleet_id%3D456%20or%20host_id%3D46256 The total would look like: /dedicatedServer?labels=region_id%3D123%20and%20fleet_id%3D456%20or%20host_id%3D46256 If you want to filter on a non-numeric label such as region_name, you have to wrap the value in double quotes: region_name="Rotterdam" Warning: the labels query parameter is ignored when passing a PAGE-TOKEN and the original labels string will be used for that request instead. For more information about labels check details

Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA:start=0,results=25

Responses
chevron-right
200

OK

application/json
idinteger · integerRead-onlyRequired

The ID of this host

userIdinteger · integerRead-onlyRequired

The ID of the user who owns this server

serverIdinteger · integerRead-onlyRequired

The ID of the physical machine

serverNamestringRead-onlyRequired

The name of the physical machine

serverTypeinteger · integerRead-onlyRequired

The type of the server:

  • 1: Bare metal server
  • 2: Flex metal server
  • 3: Virtual machine
projectNamestringOptional

The name of the project for the host

clientServerNamestringOptional

The name of the server defined by client

clientStatestringOptional

Client statement for the host

liveHostNamestringRead-onlyRequired

The host name

isVirtualinteger · integerRead-onlyRequiredDeprecated

0 if this is a bare metal server, 1 if it's a VM. Use serverType instead

categorystringRead-onlyRequired

Host category. Normally "Dedicated Game Servers" or "Dedicated Servers", but can be "Broken" if the server is in a degraded state

osIdinteger · integerRead-onlyRequired

Operating system ID, must be one of GET /v3/operatingsystem

locationIdinteger · integerRead-onlyRequired

Legacy location ID (not used for ODP)

dcLocationIdinteger · integerRead-onlyRequired

Datacenter location ID. Points to one of GET /v3/cloud/dcLocation

instanceTypestringRead-onlyRequired

The instance type of this server, which is one of GET /v3/host/instanceType for a bare metal, or one of GET /v3/cloud/instanceType for a virtual machine

fleetIdstringRead-onlyRequired

The fleet ID, if this host has been assigned to a fleet If 0, the host has not been assigned to a fleet, otherwise, the fleet is assigned to this host and the host can serve application instances for that fleet.

newFleetIdstring · nullableRead-onlyRequired

The ID of a new fleet that is to be assigned to this host after performing a bulkReserve operation at POST /v3/fleet/host/bulkReserve

fleetAssociatedSinceinteger · integerRead-onlyRequired

Unix timestamp when fleet assigned to the host

rackNamestringRead-onlyRequired

The name of the rack the host is located

dateStartstringRead-onlyRequired

The date at which this host became active

dateEndstringRead-onlyRequired

The date at which this host will expire

dateCancelledstringRead-onlyRequired

The date at which this host was cancelled

dateEndContractstringRead-onlyRequired

The date at which the contract ends (if applicable)

contractPeriodinteger · integerRead-onlyRequired

The contract period in months

extendPeriodinteger · integerRead-onlyRequired

The service extend period in months

cancellationPeriodinteger · integerRead-onlyRequired

The cancellation period in months

purchaseOrderstringRead-onlyRequired

Purchase order, if one has been supplied via our billing department

paymentTerminteger · integerRead-onlyRequired

The payment term in days (how many days are invoices generated before dateEnd)

pricePerMonthstringRead-onlyRequired

The price of this host per month in cents (see currencyId for currency)

pricePerTbOverusestringRead-onlyRequired

The price of traffic overuse in cents (per TB) (see currencyId for currency)

currencyIdinteger · integerRead-onlyRequired

The currency of the pricePerMonth field:

  • 0: EURO
  • 1: USD
  • 9: YEN
bandwidthBillingTypeinteger · integerRead-onlyRequired

The bandwidth billing method for this service:

  • 1: unmetered connection
  • 2: measured in TB per month
  • 3: measured in mbit 95th percentile
bandwidthContractualinteger · integerRead-onlyRequired

The contractual maximum bandwidth usage value. In GB if bandwidthBillingType equals 2, in mbit otherwise

brandstringRead-onlyRequired

The server manufacturer brand name

modelstringRead-onlyRequired

The model of the server

numCpuinteger · integerRead-onlyRequired

Number of CPUs in this host

cpuInfostringRead-onlyRequired
cpuTypestringRead-onlyRequired
cpuLoadnumber · floatRead-onlyRequired

Percentage of cpu used across all cores

memUsedinteger · integerRead-onlyRequired

The amount of memory that is used by the host (in megabytes)

memMaxinteger · integerRead-onlyRequired

The amount of memory that is available on the host (in megabytes)

memFreeinteger · integerRead-onlyRequired

The amount of free memory that is available on the host (in megabytes)

isReserveinteger · integerRead-onlyRequired

If the host is reserved for a fleet isReserve set to 1

serviceTagstringRead-onlyRequired

The service tag of the host

isODPinteger · integerRead-onlyRequired

If the host is available for game hosting platform isODP set to 1

fmOrderIdstring · nullableRead-onlyRequired

ID of Flex Metal order if this is a flex metal server

installStatusstring · nullableRead-onlyRequired

Status of server auto install if it was started by one. (created / installing / finished / failed)

statusstringRead-onlyRequired

Whether the host is running or not

uptimeinteger · integerOptional

The uptime of the host. Read-only. Only provided if the server checked-in recently

trafficSuminteger · integerRead-onlyRequired

Monthly traffic of all incoming and outgoing bandwidth in GB or Mbit depending on host configuration

freeIncomingTrafficbooleanRead-onlyRequired

Whether the host has free incoming traffic or not

outgoingTrafficSuminteger · integerRead-onlyRequired

The outgoing traffic (Mbit or GB)

incomingTrafficSuminteger · integerRead-onlyRequired

The incoming traffic (Mbit or GB)

get
/v3/dedicatedServer

Get all your dedicated servers (can be bare metal servers or VMs) and their main details

get
Authorizations
PRIVATE-TOKENstringRequired
Query parameters
fieldsstringOptional

Fields return in response, only fields available in model can be filter out

Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA:start=0,results=25

Responses
chevron-right
200

OK

application/json
idinteger · integerRead-onlyRequired

The ID of this host

serverIdinteger · integerRead-onlyRequired

The ID of the physical machine

serverNamestringRead-onlyRequired

The name of the physical machine

serverTypeinteger · integerRead-onlyRequired

The type of the server:

  • 1: Bare metal server
  • 2: Flex metal server
  • 3: Virtual machine
projectNamestringOptional

The name of the project for the host

clientServerNamestringOptional

The name of the server defined by client

clientStatestringOptional

Client statement for the host

liveHostNamestringRead-onlyRequired

The host name

isVirtualinteger · integerRead-onlyRequiredDeprecated

0 if this is a bare metal server, 1 if it's a VM. Use serverType instead

categorystringRead-onlyRequired

Host category. Normally "Dedicated Game Servers" or "Dedicated Servers", but can be "Broken" if the server is in a degraded state

osIdinteger · integerRead-onlyRequired

Operating system ID, must be one of GET /v3/operatingsystem

locationIdinteger · integerRead-onlyRequired

Legacy location ID (not used for ODP)

dcLocationIdinteger · integerRead-onlyRequired

Datacenter location ID. Points to one of GET /v3/cloud/dcLocation

instanceTypestringRead-onlyRequired

The instance type of this server, which is one of GET /v3/host/instanceType for a bare metal, or one of GET /v3/cloud/instanceType for a virtual machine

fleetIdstringRead-onlyRequired

The fleet ID, if this host has been assigned to a fleet If 0, the host has not been assigned to a fleet, otherwise, the fleet is assigned to this host and the host can serve application instances for that fleet.

newFleetIdstring · nullableRead-onlyRequired

The ID of a new fleet that is to be assigned to this host after performing a bulkReserve operation at POST /v3/fleet/host/bulkReserve

fleetAssociatedSinceinteger · integerRead-onlyRequired

Unix timestamp when fleet assigned to the host

rackNamestringRead-onlyRequired

The name of the rack the host is located

dateStartstringRead-onlyRequired

The date at which this host became active

dateEndstringRead-onlyRequired

The date at which this host will expire

dateCancelledstringRead-onlyRequired

The date at which this host was cancelled

dateEndContractstringRead-onlyRequired

The date at which the contract ends (if applicable)

contractPeriodinteger · integerRead-onlyRequired

The contract period in months

extendPeriodinteger · integerRead-onlyRequired

The service extend period in months

cancellationPeriodinteger · integerRead-onlyRequired

The cancellation period in months

purchaseOrderstringRead-onlyRequired

Purchase order, if one has been supplied via our billing department

paymentTerminteger · integerRead-onlyRequired

The payment term in days (how many days are invoices generated before dateEnd)

pricePerMonthstringRead-onlyRequired

The price of this host per month in cents (see currencyId for currency)

pricePerTbOverusestringRead-onlyRequired

The price of traffic overuse in cents (per TB) (see currencyId for currency)

currencyIdinteger · integerRead-onlyRequired

The currency of the pricePerMonth field:

  • 0: EURO
  • 1: USD
  • 9: YEN
bandwidthBillingTypeinteger · integerRead-onlyRequired

The bandwidth billing method for this service:

  • 1: unmetered connection
  • 2: measured in TB per month
  • 3: measured in mbit 95th percentile
bandwidthContractualinteger · integerRead-onlyRequired

The contractual maximum bandwidth usage value. In GB if bandwidthBillingType equals 2, in mbit otherwise

brandstringRead-onlyRequired

The server manufacturer brand name

modelstringRead-onlyRequired

The model of the server

isReserveinteger · integerRead-onlyRequired

If the host is reserved for a fleet isReserve set to 1

serviceTagstringRead-onlyRequired

The service tag of the host

isODPinteger · integerRead-onlyRequired

If the host is available for game hosting platform isODP set to 1

fmOrderIdstring · nullableRead-onlyRequired

ID of Flex Metal order if this is a flex metal server

installStatusstring · nullableRead-onlyRequired

Status of server auto install if it was started by one. (created / installing / finished / failed)

statusstringRead-onlyRequired

Whether the host is running or not

uptimeinteger · integerOptional

The uptime of the host. Read-only. Only provided if the server checked-in recently

trafficSuminteger · integerRead-onlyRequired

Monthly traffic of all incoming and outgoing bandwidth in GB or Mbit depending on host configuration

freeIncomingTrafficbooleanRead-onlyRequired

Whether the host has free incoming traffic or not

outgoingTrafficSuminteger · integerRead-onlyRequired

The outgoing traffic (Mbit or GB)

incomingTrafficSuminteger · integerRead-onlyRequired

The incoming traffic (Mbit or GB)

get
/v3/dedicatedServer/summary

Get a dedicated server (can be bare metal servers or VMs) and their main details

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
dedicatedServerIdintegerRequired
Responses
chevron-right
200

OK

application/json
idinteger · integerRead-onlyRequired

The ID of this host

userIdinteger · integerRead-onlyRequired

The ID of the user who owns this server

serverIdinteger · integerRead-onlyRequired

The ID of the physical machine

serverNamestringRead-onlyRequired

The name of the physical machine

serverTypeinteger · integerRead-onlyRequired

The type of the server:

  • 1: Bare metal server
  • 2: Flex metal server
  • 3: Virtual machine
projectNamestringOptional

The name of the project for the host

clientServerNamestringOptional

The name of the server defined by client

clientStatestringOptional

Client statement for the host

liveHostNamestringRead-onlyRequired

The host name

isVirtualinteger · integerRead-onlyRequiredDeprecated

0 if this is a bare metal server, 1 if it's a VM. Use serverType instead

categorystringRead-onlyRequired

Host category. Normally "Dedicated Game Servers" or "Dedicated Servers", but can be "Broken" if the server is in a degraded state

osIdinteger · integerRead-onlyRequired

Operating system ID, must be one of GET /v3/operatingsystem

locationIdinteger · integerRead-onlyRequired

Legacy location ID (not used for ODP)

dcLocationIdinteger · integerRead-onlyRequired

Datacenter location ID. Points to one of GET /v3/cloud/dcLocation

instanceTypestringRead-onlyRequired

The instance type of this server, which is one of GET /v3/host/instanceType for a bare metal, or one of GET /v3/cloud/instanceType for a virtual machine

fleetIdstringRead-onlyRequired

The fleet ID, if this host has been assigned to a fleet If 0, the host has not been assigned to a fleet, otherwise, the fleet is assigned to this host and the host can serve application instances for that fleet.

newFleetIdstring · nullableRead-onlyRequired

The ID of a new fleet that is to be assigned to this host after performing a bulkReserve operation at POST /v3/fleet/host/bulkReserve

fleetAssociatedSinceinteger · integerRead-onlyRequired

Unix timestamp when fleet assigned to the host

rackNamestringRead-onlyRequired

The name of the rack the host is located

dateStartstringRead-onlyRequired

The date at which this host became active

dateEndstringRead-onlyRequired

The date at which this host will expire

dateCancelledstringRead-onlyRequired

The date at which this host was cancelled

dateEndContractstringRead-onlyRequired

The date at which the contract ends (if applicable)

contractPeriodinteger · integerRead-onlyRequired

The contract period in months

extendPeriodinteger · integerRead-onlyRequired

The service extend period in months

cancellationPeriodinteger · integerRead-onlyRequired

The cancellation period in months

purchaseOrderstringRead-onlyRequired

Purchase order, if one has been supplied via our billing department

paymentTerminteger · integerRead-onlyRequired

The payment term in days (how many days are invoices generated before dateEnd)

pricePerMonthstringRead-onlyRequired

The price of this host per month in cents (see currencyId for currency)

pricePerTbOverusestringRead-onlyRequired

The price of traffic overuse in cents (per TB) (see currencyId for currency)

currencyIdinteger · integerRead-onlyRequired

The currency of the pricePerMonth field:

  • 0: EURO
  • 1: USD
  • 9: YEN
bandwidthBillingTypeinteger · integerRead-onlyRequired

The bandwidth billing method for this service:

  • 1: unmetered connection
  • 2: measured in TB per month
  • 3: measured in mbit 95th percentile
bandwidthContractualinteger · integerRead-onlyRequired

The contractual maximum bandwidth usage value. In GB if bandwidthBillingType equals 2, in mbit otherwise

brandstringRead-onlyRequired

The server manufacturer brand name

modelstringRead-onlyRequired

The model of the server

numCpuinteger · integerRead-onlyRequired

Number of CPUs in this host

cpuInfostringRead-onlyRequired
cpuTypestringRead-onlyRequired
cpuLoadnumber · floatRead-onlyRequired

Percentage of cpu used across all cores

memUsedinteger · integerRead-onlyRequired

The amount of memory that is used by the host (in megabytes)

memMaxinteger · integerRead-onlyRequired

The amount of memory that is available on the host (in megabytes)

memFreeinteger · integerRead-onlyRequired

The amount of free memory that is available on the host (in megabytes)

isReserveinteger · integerRead-onlyRequired

If the host is reserved for a fleet isReserve set to 1

serviceTagstringRead-onlyRequired

The service tag of the host

isODPinteger · integerRead-onlyRequired

If the host is available for game hosting platform isODP set to 1

fmOrderIdstring · nullableRead-onlyRequired

ID of Flex Metal order if this is a flex metal server

installStatusstring · nullableRead-onlyRequired

Status of server auto install if it was started by one. (created / installing / finished / failed)

statusstringRead-onlyRequired

Whether the host is running or not

uptimeinteger · integerOptional

The uptime of the host. Read-only. Only provided if the server checked-in recently

trafficSuminteger · integerRead-onlyRequired

Monthly traffic of all incoming and outgoing bandwidth in GB or Mbit depending on host configuration

freeIncomingTrafficbooleanRead-onlyRequired

Whether the host has free incoming traffic or not

outgoingTrafficSuminteger · integerRead-onlyRequired

The outgoing traffic (Mbit or GB)

incomingTrafficSuminteger · integerRead-onlyRequired

The incoming traffic (Mbit or GB)

get
/v3/dedicatedServer/{dedicatedServerId}

Can add, edit or delete dedicated server labels. To delete label need to provide key with null value.

put
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
dedicatedServerIdintegerRequired
Body
idinteger · integerRead-onlyRequired

The ID of this host

userIdinteger · integerRead-onlyRequired

The ID of the user who owns this server

serverIdinteger · integerRead-onlyRequired

The ID of the physical machine

serverNamestringRead-onlyRequired

The name of the physical machine

serverTypeinteger · integerRead-onlyRequired

The type of the server:

  • 1: Bare metal server
  • 2: Flex metal server
  • 3: Virtual machine
projectNamestringOptional

The name of the project for the host

clientServerNamestringOptional

The name of the server defined by client

clientStatestringOptional

Client statement for the host

liveHostNamestringRead-onlyRequired

The host name

isVirtualinteger · integerRead-onlyRequiredDeprecated

0 if this is a bare metal server, 1 if it's a VM. Use serverType instead

categorystringRead-onlyRequired

Host category. Normally "Dedicated Game Servers" or "Dedicated Servers", but can be "Broken" if the server is in a degraded state

osIdinteger · integerRead-onlyRequired

Operating system ID, must be one of GET /v3/operatingsystem

locationIdinteger · integerRead-onlyRequired

Legacy location ID (not used for ODP)

dcLocationIdinteger · integerRead-onlyRequired

Datacenter location ID. Points to one of GET /v3/cloud/dcLocation

instanceTypestringRead-onlyRequired

The instance type of this server, which is one of GET /v3/host/instanceType for a bare metal, or one of GET /v3/cloud/instanceType for a virtual machine

fleetIdstringRead-onlyRequired

The fleet ID, if this host has been assigned to a fleet If 0, the host has not been assigned to a fleet, otherwise, the fleet is assigned to this host and the host can serve application instances for that fleet.

newFleetIdstring · nullableRead-onlyRequired

The ID of a new fleet that is to be assigned to this host after performing a bulkReserve operation at POST /v3/fleet/host/bulkReserve

fleetAssociatedSinceinteger · integerRead-onlyRequired

Unix timestamp when fleet assigned to the host

rackNamestringRead-onlyRequired

The name of the rack the host is located

dateStartstringRead-onlyRequired

The date at which this host became active

dateEndstringRead-onlyRequired

The date at which this host will expire

dateCancelledstringRead-onlyRequired

The date at which this host was cancelled

dateEndContractstringRead-onlyRequired

The date at which the contract ends (if applicable)

contractPeriodinteger · integerRead-onlyRequired

The contract period in months

extendPeriodinteger · integerRead-onlyRequired

The service extend period in months

cancellationPeriodinteger · integerRead-onlyRequired

The cancellation period in months

purchaseOrderstringRead-onlyRequired

Purchase order, if one has been supplied via our billing department

paymentTerminteger · integerRead-onlyRequired

The payment term in days (how many days are invoices generated before dateEnd)

pricePerMonthstringRead-onlyRequired

The price of this host per month in cents (see currencyId for currency)

pricePerTbOverusestringRead-onlyRequired

The price of traffic overuse in cents (per TB) (see currencyId for currency)

currencyIdinteger · integerRead-onlyRequired

The currency of the pricePerMonth field:

  • 0: EURO
  • 1: USD
  • 9: YEN
bandwidthBillingTypeinteger · integerRead-onlyRequired

The bandwidth billing method for this service:

  • 1: unmetered connection
  • 2: measured in TB per month
  • 3: measured in mbit 95th percentile
bandwidthContractualinteger · integerRead-onlyRequired

The contractual maximum bandwidth usage value. In GB if bandwidthBillingType equals 2, in mbit otherwise

brandstringRead-onlyRequired

The server manufacturer brand name

modelstringRead-onlyRequired

The model of the server

numCpuinteger · integerRead-onlyRequired

Number of CPUs in this host

cpuInfostringRead-onlyRequired
cpuTypestringRead-onlyRequired
cpuLoadnumber · floatRead-onlyRequired

Percentage of cpu used across all cores

memUsedinteger · integerRead-onlyRequired

The amount of memory that is used by the host (in megabytes)

memMaxinteger · integerRead-onlyRequired

The amount of memory that is available on the host (in megabytes)

memFreeinteger · integerRead-onlyRequired

The amount of free memory that is available on the host (in megabytes)

isReserveinteger · integerRead-onlyRequired

If the host is reserved for a fleet isReserve set to 1

serviceTagstringRead-onlyRequired

The service tag of the host

isODPinteger · integerRead-onlyRequired

If the host is available for game hosting platform isODP set to 1

fmOrderIdstring · nullableRead-onlyRequired

ID of Flex Metal order if this is a flex metal server

installStatusstring · nullableRead-onlyRequired

Status of server auto install if it was started by one. (created / installing / finished / failed)

statusstringRead-onlyRequired

Whether the host is running or not

uptimeinteger · integerOptional

The uptime of the host. Read-only. Only provided if the server checked-in recently

trafficSuminteger · integerRead-onlyRequired

Monthly traffic of all incoming and outgoing bandwidth in GB or Mbit depending on host configuration

freeIncomingTrafficbooleanRead-onlyRequired

Whether the host has free incoming traffic or not

outgoingTrafficSuminteger · integerRead-onlyRequired

The outgoing traffic (Mbit or GB)

incomingTrafficSuminteger · integerRead-onlyRequired

The incoming traffic (Mbit or GB)

Responses
chevron-right
200

OK

application/json
idinteger · integerRead-onlyRequired

The ID of this host

userIdinteger · integerRead-onlyRequired

The ID of the user who owns this server

serverIdinteger · integerRead-onlyRequired

The ID of the physical machine

serverNamestringRead-onlyRequired

The name of the physical machine

serverTypeinteger · integerRead-onlyRequired

The type of the server:

  • 1: Bare metal server
  • 2: Flex metal server
  • 3: Virtual machine
projectNamestringOptional

The name of the project for the host

clientServerNamestringOptional

The name of the server defined by client

clientStatestringOptional

Client statement for the host

liveHostNamestringRead-onlyRequired

The host name

isVirtualinteger · integerRead-onlyRequiredDeprecated

0 if this is a bare metal server, 1 if it's a VM. Use serverType instead

categorystringRead-onlyRequired

Host category. Normally "Dedicated Game Servers" or "Dedicated Servers", but can be "Broken" if the server is in a degraded state

osIdinteger · integerRead-onlyRequired

Operating system ID, must be one of GET /v3/operatingsystem

locationIdinteger · integerRead-onlyRequired

Legacy location ID (not used for ODP)

dcLocationIdinteger · integerRead-onlyRequired

Datacenter location ID. Points to one of GET /v3/cloud/dcLocation

instanceTypestringRead-onlyRequired

The instance type of this server, which is one of GET /v3/host/instanceType for a bare metal, or one of GET /v3/cloud/instanceType for a virtual machine

fleetIdstringRead-onlyRequired

The fleet ID, if this host has been assigned to a fleet If 0, the host has not been assigned to a fleet, otherwise, the fleet is assigned to this host and the host can serve application instances for that fleet.

newFleetIdstring · nullableRead-onlyRequired

The ID of a new fleet that is to be assigned to this host after performing a bulkReserve operation at POST /v3/fleet/host/bulkReserve

fleetAssociatedSinceinteger · integerRead-onlyRequired

Unix timestamp when fleet assigned to the host

rackNamestringRead-onlyRequired

The name of the rack the host is located

dateStartstringRead-onlyRequired

The date at which this host became active

dateEndstringRead-onlyRequired

The date at which this host will expire

dateCancelledstringRead-onlyRequired

The date at which this host was cancelled

dateEndContractstringRead-onlyRequired

The date at which the contract ends (if applicable)

contractPeriodinteger · integerRead-onlyRequired

The contract period in months

extendPeriodinteger · integerRead-onlyRequired

The service extend period in months

cancellationPeriodinteger · integerRead-onlyRequired

The cancellation period in months

purchaseOrderstringRead-onlyRequired

Purchase order, if one has been supplied via our billing department

paymentTerminteger · integerRead-onlyRequired

The payment term in days (how many days are invoices generated before dateEnd)

pricePerMonthstringRead-onlyRequired

The price of this host per month in cents (see currencyId for currency)

pricePerTbOverusestringRead-onlyRequired

The price of traffic overuse in cents (per TB) (see currencyId for currency)

currencyIdinteger · integerRead-onlyRequired

The currency of the pricePerMonth field:

  • 0: EURO
  • 1: USD
  • 9: YEN
bandwidthBillingTypeinteger · integerRead-onlyRequired

The bandwidth billing method for this service:

  • 1: unmetered connection
  • 2: measured in TB per month
  • 3: measured in mbit 95th percentile
bandwidthContractualinteger · integerRead-onlyRequired

The contractual maximum bandwidth usage value. In GB if bandwidthBillingType equals 2, in mbit otherwise

brandstringRead-onlyRequired

The server manufacturer brand name

modelstringRead-onlyRequired

The model of the server

numCpuinteger · integerRead-onlyRequired

Number of CPUs in this host

cpuInfostringRead-onlyRequired
cpuTypestringRead-onlyRequired
cpuLoadnumber · floatRead-onlyRequired

Percentage of cpu used across all cores

memUsedinteger · integerRead-onlyRequired

The amount of memory that is used by the host (in megabytes)

memMaxinteger · integerRead-onlyRequired

The amount of memory that is available on the host (in megabytes)

memFreeinteger · integerRead-onlyRequired

The amount of free memory that is available on the host (in megabytes)

isReserveinteger · integerRead-onlyRequired

If the host is reserved for a fleet isReserve set to 1

serviceTagstringRead-onlyRequired

The service tag of the host

isODPinteger · integerRead-onlyRequired

If the host is available for game hosting platform isODP set to 1

fmOrderIdstring · nullableRead-onlyRequired

ID of Flex Metal order if this is a flex metal server

installStatusstring · nullableRead-onlyRequired

Status of server auto install if it was started by one. (created / installing / finished / failed)

statusstringRead-onlyRequired

Whether the host is running or not

uptimeinteger · integerOptional

The uptime of the host. Read-only. Only provided if the server checked-in recently

trafficSuminteger · integerRead-onlyRequired

Monthly traffic of all incoming and outgoing bandwidth in GB or Mbit depending on host configuration

freeIncomingTrafficbooleanRead-onlyRequired

Whether the host has free incoming traffic or not

outgoingTrafficSuminteger · integerRead-onlyRequired

The outgoing traffic (Mbit or GB)

incomingTrafficSuminteger · integerRead-onlyRequired

The incoming traffic (Mbit or GB)

put
/v3/dedicatedServer/{dedicatedServerId}

Last updated

Was this helpful?